Bug 537341 - Cron: If a crontab resource name is added with a space in between the name, it fails with a runtime exception after submit.
Cron: If a crontab resource name is added with a space in between the name, i...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
1.4
x86_64 Linux
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-11-13 03:57 EST by Sunil Kondkar
Modified: 2014-05-16 09:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-16 09:56:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the error (116.32 KB, image/png)
2009-11-13 04:11 EST, Sunil Kondkar
no flags Details

  None (edit)
Description Sunil Kondkar 2009-11-13 03:57:22 EST
Description of problem:
While creating a new crontab, if a resource name is entered with a space in between the name(for Ex: /etc/cron.d/test 16), after submitting, it shows the request status as 'Failure'.

Version-Release number of selected component (if applicable):
version: 1.4.0-SNAPSHOT

How reproducible:


Steps to Reproduce:

1.Login to managed platform .
2.Select the cron resource.
3.Select the 'Inventory' tab.
4.Click on 'OK' button to create new cron tab.
5.Enter the 'Resource Name' as 'test 16' (with space in between).
5.Enter environment settings and cron entries.
7. Click on 'Submit' button.
8. On 'Inventory' tab of cron resource, the 'Request Status' for the crontab is 'Failure'. Clicking on 'Failure' link displays the following exception:
java.lang.RuntimeException: -> net.augeas.AugeasException:save failed
  
Actual results:
Request status for the crontab is 'Failure'. Clicking on 'Failure' link displays the following exception:
java.lang.RuntimeException: -> net.augeas.AugeasException:save failed

Expected results:
There should be a alert/message to the user to enter valid crontab resource name.

Additional info:
Comment 1 Sunil Kondkar 2009-11-13 04:11:33 EST
Created attachment 369386 [details]
Screenshot of the error
Comment 2 wes hayutin 2010-02-16 11:51:08 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 11:57:42 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Corey Welton 2010-10-05 09:08:08 EDT
Lowering severity/priority - not an enterprise plugin

Note You need to log in before you can comment on or make changes to this bug.